Skip to main content
`Ctrl`+`K`

# DMSetSparseLocalize

Set the flag indicating that `DM` coordinates should be localized only for cells near the periodic boundary.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetSparseLocalize(DM dm, PetscBool sparse)

Logically collective

## Input Parameters

- dm - The `DM`

- sparse - `PETSC_TRUE` if only cells near the periodic boundary are localized

## See Also

`DMGetSparseLocalize()`, `DMLocalizeCoordinates()`, `DMSetPeriodicity()`

## Level

intermediate

## Location

src/dm/interface/dmperiodicity.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages